Bug 989104 - Bluetooth not starting!
Bluetooth not starting!
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
i686 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-27 11:30 EDT by Iosif Bancioiu
Modified: 2015-02-17 11:23 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:23:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
DMESG return (58.77 KB, text/plain)
2013-07-27 11:30 EDT, Iosif Bancioiu
no flags Details

  None (edit)
Description Iosif Bancioiu 2013-07-27 11:30:48 EDT
Created attachment 779108 [details]
DMESG return

The system can't load the firmware for Atheros Bluetooth chip

dmesg return:
Attached file!

rfkill list return:
0: phy0: Wireless LAN
        Soft blocked: no
        Hard blocked: no

So it can't see the adapter

Additional info:
1) The Bluetooth is working in Windows 7 @ 32 BIT
2) I use Dell Vostro 1015 @ Fedora 19 i686 with KDE 4.10.5, KERNEL:
LINUX 3.10.3-300.fc19.i686
3) The WiFi is working.
Comment 1 Tom Mannerhagen 2013-12-11 08:18:33 EST
Hi

I believe I have the same problem.

The device is called WB335 in my Toshiba and consists of the AR9565 Wifi module (which works fine!) and a bluetooth module.

I saw that there were some discussions on the Ubuntu support related to this problem and I also read that a kernel patch might solve this issue.
Don't have the links at hand ATM however.

So I tried to download and install both 3.12.4 and 3.13-rc3 but nothing changed.
I am using hcidump and can see that the system considers the BT to work as look for other devices. But I can't find any from my unit, and other devices can't find this unit.

Any hints to investigate the root-cause for this problem is appreciated.

THanks

BR Tom
Comment 2 Tom Mannerhagen 2014-01-31 08:23:11 EST
Hi again

Just downloaded and tried the kernel 3.13.1 and that resolves my issue.

BR Tom
Comment 3 Rex Dieter 2014-01-31 08:49:49 EST
OK, reassigning to kernel per comment #2  (both cases are likely hardware/driver dependent, of course)
Comment 4 Justin M. Forbes 2014-03-10 10:51:36 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.13.5-100.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 5 Iosif Bancioiu 2014-03-14 20:40:05 EDT
(In reply to Justin M. Forbes from comment #4)
> *********** MASS BUG UPDATE **************
> 
> We apologize for the inconvenience.  There is a large number of bugs to go
> through and several of them have gone stale.  Due to this, we are doing a
> mass bug update across all of the Fedora 19 kernel bugs.
> 
> Fedora 19 has now been rebased to 3.13.5-100.fc19.  Please test this kernel
> update and let us know if you issue has been resolved or if it is still
> present with the newer kernel.
> 
> If you experience different issues, please open a new bug report for those.

Bug is still Present on my DELL Vostro 1015
Comment 6 Alexjan Carraturo 2014-03-28 09:10:02 EDT
(In reply to Iosif Bancioiu from comment #5)
> (In reply to Justin M. Forbes from comment #4)
> > *********** MASS BUG UPDATE **************
> > 
> > We apologize for the inconvenience.  There is a large number of bugs to go
> > through and several of them have gone stale.  Due to this, we are doing a
> > mass bug update across all of the Fedora 19 kernel bugs.
> > 
> > Fedora 19 has now been rebased to 3.13.5-100.fc19.  Please test this kernel
> > update and let us know if you issue has been resolved or if it is still
> > present with the newer kernel.
> > 
> > If you experience different issues, please open a new bug report for those.
> 
> Bug is still Present on my DELL Vostro 1015

Still present on my Lenovo Flex 14 with kernel 3.13.6-200.fc20.x86_64.

Ideas?
Comment 7 Justin M. Forbes 2014-05-21 15:31:02 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.14.4-100.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 8 Iosif Bancioiu 2014-06-04 03:34:08 EDT
Hi,

I'm still using Fedora 19 with the latest updates installed and i still ahve the bug.
Recently i opend my laptop and found that there is no Bluetooth Dedicated Chip so there is an other question. How is Dell Bluetooth Chipset working, is it installed on the same board as the Wi-Fi is?

I shared files between laptop and smartphone using BT and it worked so there is  BT. Also i am using BT Handset on Windows 7.

In conclusion is 100% a Driver BUG and is still here.

(In reply to Justin M. Forbes from comment #7)
> *********** MASS BUG UPDATE **************
> 
> We apologize for the inconvenience.  There is a large number of bugs to go
> through and several of them have gone stale.  Due to this, we are doing a
> mass bug update across all of the Fedora 19 kernel bugs.
> 
> Fedora 19 has now been rebased to 3.14.4-100.fc19.  Please test this kernel
> update (or newer) and let us know if you issue has been resolved or if it is
> still present with the newer kernel.
> 
> If you have moved on to Fedora 20, and are still experiencing this issue,
> please change the version to Fedora 20.
> 
> If you experience different issues, please open a new bug report for those.
Comment 9 Fedora End Of Life 2015-01-09 14:07:15 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-02-17 11:23:02 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.